Cocoon API: Class EngineWrapper

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class EngineWrapper

    java.lang.Object
      |
      +--org.apache.cocoon.EngineWrapper

public class EngineWrapper
extends java.lang.Object

This class implements wrapping methods that allow the engine to be called even from other APIs or standalone applications. NOTE: this is a dirty hack and I know it. The problem is that Cocoon is a servlet and the servlet API are not that easy to deal with when you enter other modes of operation (like command line or RMI). We will need to clean this up and remove the need of direct HttpServletRequest/Response emulation when we integrate with Stylebook. But I have more important stuff to do right now.

Version:
  $Revision: 1.13 $ $Date: 2001/01/11 13:52:19 $
Author:
  Stefano Mazzocchi

Inner Class Summary
`class` | `EngineWrapper.HttpServletRequestImpl` Dummy implementation of the HttpServletRequest class to create a fake but functional request for the main engine.
`class` | `EngineWrapper.HttpServletResponseImpl` Dummy implementation of the HttpServletResponse class to create a fake but funtional response for the main engine.

Constructor Summary
`protected` | `EngineWrapper(Configurations confs)`

Method Summary
`void` | `handle(java.io.PrintWriter out, java.io.File pathToDocument)`
`void` | `handle(java.io.PrintWriter out, java.io.File documentPath, java.lang.String document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineWrapper

    protected EngineWrapper(Configurations confs)
                     throws java.lang.Exception

Method Detail

### handle

    public void handle(java.io.PrintWriter out,
                       java.io.File pathToDocument)
                throws java.lang.Exception

### handle

    public void handle(java.io.PrintWriter out,
                       java.io.File documentPath,
                       java.lang.String document)
                throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.